import { z } from 'zod'
import type { Installation } from "~/models/installation"

export const InstallationSchema = z.object({
  code: z.string().min(1, 'Kode wajib diisi'),
  name: z.string().min(1, 'Nama wajib diisi'),
  encounterClass_code: z.string().min(1, 'Encounter Class wajib diisi').optional(),
})

export type InstallationFormData = z.infer<typeof InstallationSchema> & Partial<Installation>
